Package fr.gouv.vitam.metadata.rest

# Class MetadataResource

java.lang.Object
fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource
fr.gouv.vitam.metadata.rest.MetadataResource

@Path("/v1") public class MetadataResource extends ApplicationStatusResource

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource

  `STATUS_URL, TENANTS_URL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `atomicUpdateBulk(List<com.fasterxml.jackson.databind.JsonNode> updateQueries)`
  Update bulk with json requests
  `jakarta.ws.rs.core.Response`
  `changeIndexes(SwitchIndexParameters switchIndexParameters)`
  Switch indexes
  `jakarta.ws.rs.core.Response`
  `clearESScrollFilter(String scrollId)`
  `jakarta.ws.rs.core.Response`
  `createAccessionRegisterSymbolic()`
  `jakarta.ws.rs.core.Response`
  `deleteObjectGroups(List<String> ids)`
  `jakarta.ws.rs.core.Response`
  `deleteUnits(List<String> ids)`
  `jakarta.ws.rs.core.Response`
  `getObjectGroupById(com.fasterxml.jackson.databind.JsonNode selectRequest, String objectGroupId)`
  Get ObjectGroup
  `jakarta.ws.rs.core.Response`
  `getUnitById(com.fasterxml.jackson.databind.JsonNode selectRequest, String unitId)`
  `jakarta.ws.rs.core.Response`
  `insertObjectGroup(com.fasterxml.jackson.databind.JsonNode insertRequest)`
  Create unit with json request
  `jakarta.ws.rs.core.Response`
  `insertObjectGroupBulk(List<com.fasterxml.jackson.databind.JsonNode> insertRequests)`
  Create unit with json request
  `jakarta.ws.rs.core.Response`
  `insertUnitBulk(BulkUnitInsertRequest request)`
  Insert unit with json request
  `jakarta.ws.rs.core.Response`
  `refreshObjectGroup()`
  Refresh ObjectGroup index
  `jakarta.ws.rs.core.Response`
  `refreshUnit()`
  Refresh Unit index
  `jakarta.ws.rs.core.Response`
  `reindex(IndexParameters indexParameters)`
  Reindex a collection
  `jakarta.ws.rs.core.Response`
  `selectAccessionRegisterOnObjectGroupByOperationId(String operationId)`
  `jakarta.ws.rs.core.Response`
  `selectAccessionRegisterOnUnitByOperationId(String operationId)`
  `jakarta.ws.rs.core.Response`
  `selectObjectgroups(com.fasterxml.jackson.databind.JsonNode request)`
  Select objectgroups with json request
  `jakarta.ws.rs.core.Response`
  `selectUnit(com.fasterxml.jackson.databind.JsonNode request)`
  Select unit with json request
  `jakarta.ws.rs.core.Response`
  `selectUnitBulk(List<com.fasterxml.jackson.databind.JsonNode> requests)`
  Bulk Select units with json requests
  `jakarta.ws.rs.core.Response`
  `selectUnitsWithInheritedRules(com.fasterxml.jackson.databind.JsonNode selectRequest)`
  Select units with inherited rules
  `jakarta.ws.rs.core.Response`
  `streamObjects(com.fasterxml.jackson.databind.JsonNode request)`
  `jakarta.ws.rs.core.Response`
  `streamUnits(com.fasterxml.jackson.databind.JsonNode request)`
  `jakarta.ws.rs.core.Response`
  `updateObjectGroupById(com.fasterxml.jackson.databind.JsonNode updateRequest, String objectGroupId)`
  Get ObjectGroup
  `jakarta.ws.rs.core.Response`
  `updateUnitBulk(com.fasterxml.jackson.databind.JsonNode updateQuery)`
  Update unit with json request
  `jakarta.ws.rs.core.Response`
  `updateUnitById(com.fasterxml.jackson.databind.JsonNode updateRequest, String unitId)`
  Update unit by query and path parameter unit_id
  `jakarta.ws.rs.core.Response`
  `updateUnitsRulesBulk(BatchRulesUpdateInfo batchRulesUpdateInfo)`
  Update unit rules with json request

  ### Methods inherited from class fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource

  `getServerTenants, status`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### insertUnitBulk

    @Path("units/bulk") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response insertUnitBulk(BulkUnitInsertRequest request)
    Insert unit with json request
    Parameters:
      `request` - the bulk insert request
    Returns:
      Response

  - ### updateUnitBulk

    @Path("units/updatebulk") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response updateUnitBulk(com.fasterxml.jackson.databind.JsonNode updateQuery)
    Update unit with json request
    Parameters:
      `updateQuery` - the insert request in JsonNode format
    Returns:
      Response

  - ### atomicUpdateBulk

    @Path("units/atomicupdatebulk") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response atomicUpdateBulk(List<com.fasterxml.jackson.databind.JsonNode> updateQueries)
    Update bulk with json requests
    Parameters:
      `updateQueries` - the update requests in JsonNode format
    Returns:
      Response

  - ### updateUnitsRulesBulk

    @Path("units/updaterulesbulk") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response updateUnitsRulesBulk(BatchRulesUpdateInfo batchRulesUpdateInfo)
    Update unit rules with json request
    Parameters:
      `batchRulesUpdateInfo` - the update rule request
    Returns:
      Response

  - ### selectUnitBulk

    @Path("units/bulk") @GET @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response selectUnitBulk(List<com.fasterxml.jackson.databind.JsonNode> requests)
    Bulk Select units with json requests
    Parameters:
      `requests` - the list of requests in JsonNode format
    Returns:
      Response

  - ### selectUnit

    @Path("units") @GET @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response selectUnit(com.fasterxml.jackson.databind.JsonNode request)
    Select unit with json request
    Parameters:
      `request` - the request in JsonNode format
    Returns:
      Response

  - ### refreshUnit

    @Path("units") @PUT @Produces("application/json") public jakarta.ws.rs.core.Response refreshUnit()
    Refresh Unit index
    Returns:
      Response

  - ### selectObjectgroups

    @Path("objectgroups") @GET @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response selectObjectgroups(com.fasterxml.jackson.databind.JsonNode request)
    Select objectgroups with json request
    Parameters:
      `request` - the request in JsonNode format
    Returns:
      Response

  - ### refreshObjectGroup

    @Path("objectgroups") @PUT @Produces("application/json") public jakarta.ws.rs.core.Response refreshObjectGroup()
    Refresh ObjectGroup index
    Returns:
      Response

  - ### getUnitById

    @Path("units/{id_unit}") @GET @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response getUnitById(com.fasterxml.jackson.databind.JsonNode selectRequest, @PathParam("id_unit") String unitId)
    Parameters:
      `selectRequest` - the select request in JsonNode format
      `unitId` - the unit id to get
    Returns:
      `Response` will be contains an json filled by unit result

  - ### updateUnitById

    @Path("units/{id_unit}") @PUT @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response updateUnitById(com.fasterxml.jackson.databind.JsonNode updateRequest, @PathParam("id_unit") String unitId)
    Update unit by query and path parameter unit_id
    Parameters:
      `updateRequest` - the update request
      `unitId` - the id of unit to be update
    Returns:
      `Response` will be contains an json filled by unit result

  - ### insertObjectGroup

    @Path("objectgroups") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response insertObjectGroup(com.fasterxml.jackson.databind.JsonNode insertRequest)
    Create unit with json request
    Parameters:
      `insertRequest` - the insert query
    Returns:
      the Response

  - ### insertObjectGroupBulk

    @Path("objectgroups/bulk") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response insertObjectGroupBulk(List<com.fasterxml.jackson.databind.JsonNode> insertRequests)
    Create unit with json request
    Parameters:
      `insertRequests` - the insert query
    Returns:
      the Response

  - ### getObjectGroupById

    @Path("objectgroups/{id_og}") @GET @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response getObjectGroupById(com.fasterxml.jackson.databind.JsonNode selectRequest, @PathParam("id_og") String objectGroupId)
    Get ObjectGroup
    Parameters:
      `selectRequest` - the request
      `objectGroupId` - the objectGroup ID to get
    Returns:
      a response with the select query and the required object group (can be empty)

  - ### updateObjectGroupById

    @Path("objectgroups/{id_og}") @PUT @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response updateObjectGroupById(com.fasterxml.jackson.databind.JsonNode updateRequest, @PathParam("id_og") String objectGroupId)
    Get ObjectGroup
    Parameters:
      `updateRequest` - the query to update the objectgroup
      `objectGroupId` - the objectGroup ID to get
    Returns:
      a response with the select query and the required object group (can be empty)

  - ### selectAccessionRegisterOnUnitByOperationId

    @Path("accession-registers/units/{operationId}") @Produces("application/json") @GET public jakarta.ws.rs.core.Response selectAccessionRegisterOnUnitByOperationId(@PathParam("operationId") String operationId)

  - ### createAccessionRegisterSymbolic

    @POST @Path("accession-registers/symbolic") @Produces("application/json") public jakarta.ws.rs.core.Response createAccessionRegisterSymbolic()

  - ### selectAccessionRegisterOnObjectGroupByOperationId

    @Path("accession-registers/objects/{operationId}") @Produces("application/json") @GET public jakarta.ws.rs.core.Response selectAccessionRegisterOnObjectGroupByOperationId(@PathParam("operationId") String operationId)

  - ### reindex

    @Path("/reindex") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response reindex(IndexParameters indexParameters)
    Reindex a collection
    Parameters:
      `indexParameters` - parameters specifying what to reindex
    Returns:
      Response

  - ### changeIndexes

    @Path("/alias") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response changeIndexes(SwitchIndexParameters switchIndexParameters)
    Switch indexes
    Parameters:
      `switchIndexParameters` -
    Returns:
      Response

  - ### selectUnitsWithInheritedRules

    @Path("unitsWithInheritedRules") @GET @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response selectUnitsWithInheritedRules(com.fasterxml.jackson.databind.JsonNode selectRequest)
    Select units with inherited rules
    Parameters:
      `selectRequest` - the select request in JsonNode format
    Returns:
      `Response` will be contains an json filled by unit result

  - ### deleteObjectGroups

    @DELETE @Path("objectGroups/bulkDelete") public jakarta.ws.rs.core.Response deleteObjectGroups(List<String> ids)

  - ### deleteUnits

    @DELETE @Path("units/bulkDelete") public jakarta.ws.rs.core.Response deleteUnits(List<String> ids)

  - ### streamUnits

    @GET @Consumes("application/json") @Produces("application/octet-stream") @Path("/units/stream") public jakarta.ws.rs.core.Response streamUnits(com.fasterxml.jackson.databind.JsonNode request)

  - ### streamObjects

    @GET @Consumes("application/json") @Produces("application/octet-stream") @Path("/objects/stream") public jakarta.ws.rs.core.Response streamObjects(com.fasterxml.jackson.databind.JsonNode request)

  - ### clearESScrollFilter

    @Path("/scroll") @DELETE @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response clearESScrollFilter(String scrollId)